r4822 - in /vdr/vdr-plugin-extrecmenu/trunk/debian: changelog patches/00list patches/01_dvdarchive-path.dpatch patches/91_vdr1.5.4_extrecmenu-0.13p.dpatch

tom-guest at users.alioth.debian.org tom-guest at users.alioth.debian.org
Wed Jun 27 23:40:52 UTC 2007


Author: tom-guest
Date: Wed Jun 27 23:40:52 2007
New Revision: 4822

URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/?sc=1&rev=4822
Log:
Release for vdrdevel 1.5.5

Added:
    vdr/vdr-plugin-extrecmenu/trunk/debian/patches/91_vdr1.5.4_extrecmenu-0.13p.dpatch
Modified:
    vdr/vdr-plugin-extrecmenu/trunk/debian/changelog
    vdr/vdr-plugin-extrecmenu/trunk/debian/patches/00list
    vdr/vdr-plugin-extrecmenu/trunk/debian/patches/01_dvdarchive-path.dpatch   (props changed)

Modified: vdr/vdr-plugin-extrecmenu/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-extrecmenu/trunk/debian/changelog?rev=4822&op=diff
==============================================================================
--- vdr/vdr-plugin-extrecmenu/trunk/debian/changelog (original)
+++ vdr/vdr-plugin-extrecmenu/trunk/debian/changelog Wed Jun 27 23:40:52 2007
@@ -1,8 +1,13 @@
-vdr-plugin-extrecmenu (0.13-4) UNRELEASED; urgency=low
+vdr-plugin-extrecmenu (0.13-4) experimental; urgency=low
 
+  [ Thomas Schmidt ]
   * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control
 
- -- Thomas Schmidt <tschmidt at debian.org>  Wed, 16 May 2007 22:56:41 +0200
+  [ Thomas Günther ]
+  * Release for vdrdevel 1.5.5
+  * Added 91_vdr1.5.4_extrecmenu-0.13p.dpatch
+
+ -- Thomas Günther <tom at toms-cafe.de>  Wed, 27 Jun 2007 23:38:28 +0200
 
 vdr-plugin-extrecmenu (0.13-3) experimental; urgency=low
 

Modified: vdr/vdr-plugin-extrecmenu/trunk/debian/patches/00list
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-extrecmenu/trunk/debian/patches/00list?rev=4822&op=diff
==============================================================================
--- vdr/vdr-plugin-extrecmenu/trunk/debian/patches/00list (original)
+++ vdr/vdr-plugin-extrecmenu/trunk/debian/patches/00list Wed Jun 27 23:40:52 2007
@@ -1,2 +1,3 @@
 01_dvdarchive-path
 90_MainMenuHooks
+91_vdr1.5.4_extrecmenu-0.13p

Propchange: vdr/vdr-plugin-extrecmenu/trunk/debian/patches/01_dvdarchive-path.dpatch
            ('svn:executable' removed)

Added: vdr/vdr-plugin-extrecmenu/trunk/debian/patches/91_vdr1.5.4_extrecmenu-0.13p.dpatch
URL: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-extrecmenu/trunk/debian/patches/91_vdr1.5.4_extrecmenu-0.13p.dpatch?rev=4822&op=file
==============================================================================
--- vdr/vdr-plugin-extrecmenu/trunk/debian/patches/91_vdr1.5.4_extrecmenu-0.13p.dpatch (added)
+++ vdr/vdr-plugin-extrecmenu/trunk/debian/patches/91_vdr1.5.4_extrecmenu-0.13p.dpatch Wed Jun 27 23:40:52 2007
@@ -1,0 +1,71 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## vdr1.5.4_extrecmenu-0.13p.dpatch by egal at vdrportal.de
+## http://www.vdr-portal.de/board/thread.php?postid=622025#post622025
+##
+## Thomas Günther <tom at toms-cafe.de>
+##   - Added compatibility to VDR < 1.5.3
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Changes for VDR >= 1.5.3.
+
+ at DPATCH@
+diff -rNu extrecmenu-0.13/Makefile extrecmenu-0.13p/Makefile
+--- extrecmenu-0.13/Makefile	2006-06-11 16:18:14.000000000 +0200
++++ extrecmenu-0.13p/Makefile	2007-06-19 18:05:46.165091171 +0200
+@@ -52,7 +52,10 @@
+ ### The object files (add further files here):
+ 
+ OBJS = $(PLUGIN).o mymenurecordings.o myreplaycontrol.o i18n.o \
+-       mymenusetup.o mymenucommands.o patchfont.o tools.o mymenueditrecording.o
++       mymenusetup.o mymenucommands.o tools.o mymenueditrecording.o
++ifeq ($(shell test $(VDRVERSNUM) -lt 10503 ; echo $$?),0)
++  OBJS += patchfont.o
++endif
+ 
+ ### Implicit rules:
+ 
+diff -rNu extrecmenu-0.13/mymenurecordings.c extrecmenu-0.13p/mymenurecordings.c
+--- extrecmenu-0.13/mymenurecordings.c	2007-02-04 23:31:11.000000000 +0100
++++ extrecmenu-0.13p/mymenurecordings.c	2007-06-19 18:10:24.044926641 +0200
+@@ -16,7 +16,9 @@
+ #include "mymenurecordings.h"
+ #include "mymenusetup.h"
+ #include "mymenucommands.h"
++#if VDRVERSNUM < 10503
+ #include "patchfont.h"
++#endif
+ #include "tools.h"
+ 
+ using namespace std;
+@@ -336,6 +338,7 @@
+ myMenuRecordings::myMenuRecordings(const char *Base,int Level):cOsdMenu("")
+ {
+  // only called if plugin menu was opened
++#if VDRVERSNUM < 10503
+  if(Level==0)
+  {
+   // patch font
+@@ -344,6 +347,7 @@
+   else
+    PatchFont(fontOsd);
+  }
++#endif
+  // set tabs
+  if(mysetup.ShowRecDate&&mysetup.ShowRecTime&&!mysetup.ShowRecLength) // recording date and time are shown, recording length not
+    SetCols(2,8,6);
+@@ -401,6 +405,7 @@
+ {
+  free(base);
+ 
++#if VDRVERSNUM < 10503
+  if(level==0)
+  {
+   if(Setup.UseSmallFont==2)
+@@ -408,6 +413,7 @@
+   else
+    cFont::SetFont(fontOsd);
+  }
++#endif
+ }
+ 
+ void myMenuRecordings::Title()




More information about the pkg-vdr-dvb-changes mailing list